package com.chinacreator.datasync;

import javax.sql.DataSource;

import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.chinacreator.datasync.dao.FlagDealDao;

@SpringBootApplication
@EnableScheduling
public class Application implements CommandLineRunner{

	public static void main(String[] args) {
		SpringApplication.run(Application.class, args);
	}
	@Autowired
    DataSource dataSource;
	
	@Autowired
	FlagDealDao dao;

    @Override
    public void run(String... args) throws Exception {
     System.out.println("连接池=>"+dataSource.getClass()+" = " + dataSource);
     System.out.println("当前时间："+dao.getCurrtime());
    }	
}
