package com.chinacreator.datasync.entity;
/**
*
*
*@Description: TODO( cp订购关系同步job任务的 bean) 
*@author dahai 289945476@qq.com
*@date 2017年8月11日 下午2:29:29 
*
*
*
**/
public class CpSyncJobBean {
	// job 名称
	private String name;

	// job 定时表达式
	private String cronExpression;
	
	// 处理的cp对应cpid
	private String cpid;
	
	// 订购 关系 cp 同步接口地址
	private String url;
	
	// 当前任务的有效状态
	private String status;

	// 任务的异常重试处理
	private String errorCode;
	
	// 任务的处理handler 类名称
	private String handlerClassName;
	
	//重试次数
	private int retryTimes;
	
	//重试间隔时长,单位秒
	private int duration;
	
	// 任务处理的线程数
	private int sendThreadNum;
	
	// kafka 消费数量
	private int consumerNum;

	//数据在kafka中对应的topic，请按照cpid_realtime_order_topic 格式进行，不同cpid使用不同topic，并且分离线、实时及error三种topic
	private String topic;
	
	//消费kafka中对应topic的groupid，基本保持与topic值一致
	private String groupid;
	
	//kafka连接地址,多个地址用 逗号"," 分隔
	private String kafkaServer;
	
	//zookeeper连接地址,多个地址用逗号","分隔
	private String zkServer;
	

	//同步异常数据再次推送到kafka的error topic
	private String errorTopic;
	
	// 为空则不需要进行用户短信通知；不为空-使用“,”为分隔值，最后一个值为短信下发订购数据的topic，前为对应spid和cpid
	private String smssend;
	
	// job处理的数据类型：0-实时数据;1-离线数据;2-异常重试数据
	private String dealtype;
	
		
	public String getDealtype() {
		return dealtype;
	}

	public void setDealtype(String dealtype) {
		this.dealtype = dealtype;
	}

	public String getSmssend() {
		return smssend;
	}

	public void setSmssend(String smssend) {
		this.smssend = smssend;
	}

	public String getErrorTopic() {
		return errorTopic;
	}

	public void setErrorTopic(String errorTopic) {
		this.errorTopic = errorTopic;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public String getCpid() {
		return cpid;
	}

	public void setCpid(String cpid) {
		this.cpid = cpid;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getHandlerClassName() {
		return handlerClassName;
	}

	public void setHandlerClassName(String handlerClassName) {
		this.handlerClassName = handlerClassName;
	}



	public int getSendThreadNum() {
		return sendThreadNum;
	}

	public void setSendThreadNum(int sendThreadNum) {
		this.sendThreadNum = sendThreadNum;
	}

	public int getConsumerNum() {
		return consumerNum;
	}

	public void setConsumerNum(int consumerNum) {
		this.consumerNum = consumerNum;
	}

	public int getRetryTimes() {
		return retryTimes;
	}

	public void setRetryTimes(int retryTimes) {
		this.retryTimes = retryTimes;
	}

	public int getDuration() {
		return duration;
	}

	public void setDuration(int duration) {
		this.duration = duration;
	}

	public String getTopic() {
		return topic;
	}

	public void setTopic(String topic) {
		this.topic = topic;
	}

	public String getGroupid() {
		return groupid;
	}

	public void setGroupid(String groupid) {
		this.groupid = groupid;
	}

	public String getKafkaServer() {
		return kafkaServer;
	}

	public void setKafkaServer(String kafkaServer) {
		this.kafkaServer = kafkaServer;
	}

	public String getZkServer() {
		return zkServer;
	}

	public void setZkServer(String zkServer) {
		this.zkServer = zkServer;
	}
	
}
