package com.chinacreator.datasync.exception;

/**
 * 业务异常
 * 
 * @author yanlong
 *
 */
public class SyncException extends Exception{
	
	private static final long serialVersionUID = 6421642258433448695L;
	
	private String code;
	private String message;
	
	public SyncException(final String code) {
		super();
		this.code = code;
		this.message = ErrorConstant.getErrorinfo(code);
	}
	
	public SyncException(final String code, final String message) {
		super();
		this.code = code;
		this.message = message;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
	
}
