package com.chinacreator.datasync.exception;

import java.util.HashMap;
import java.util.Map;

public class ErrorConstant {
	
	public static final String ERR_0 = "0";
	public static final String ERR_0_INFO = "";
	
	public static final String ERR_8000 = "8000";
	public static final String ERR_8000_INFO = "系统忙，请稍后再试";
	
	public static final String ERR_1001 = "1001";
	public static final String ERR_1001_INFO = "cid不能为空";
	
	public static final String ERR_1002 = "1002";
	public static final String ERR_1002_INFO = "cid校验失败";
	
	public static final String ERR_1003 = "1003";
	public static final String ERR_1003_INFO = "userid不能为空";
	
	public static final String ERR_1004 = "1004";
	public static final String ERR_1004_INFO = "userid解密失败";
	
	public static final String ERR_1005 = "1005";
	public static final String ERR_1005_INFO = "timestamp不能为空";
	
	public static final String ERR_1006 = "1006";
	public static final String ERR_1006_INFO = "timestamp失效";
	
	public static final String ERR_1007 = "1007";
	public static final String ERR_1007_INFO = "sign不能为空";
	
	public static final String ERR_1008 = "1008";
	public static final String ERR_1008_INFO = "sign校验失败";

	public static final String ERR_1009 = "1009";
	public static final String ERR_1009_INFO = "ip地址校验失败";
	
	
	public static final String ERR_2001 = "2001";
	public static final String ERR_2001_INFO = "渠道当日请求量，已达单日限额";
	
	public static final String ERR_2002 = "2002";
	public static final String ERR_2002_INFO = "渠道总请求量，已达总限额";
	
	
	public static final String ERR_3001 = "3001";
	public static final String ERR_3001_INFO = "联通系统查询超时或异常";
	
	public static final String ERR_3002 = "3002";
	public static final String ERR_3002_INFO = "联通系统查询失败";
	
	private static final Map<String,String> map = new HashMap<String,String>();
	
	static {
		map.put(ERR_0, ERR_0_INFO);
		map.put(ERR_8000, ERR_8000_INFO);
		map.put(ERR_1001, ERR_1001_INFO);
		map.put(ERR_1002, ERR_1002_INFO);
		map.put(ERR_1003, ERR_1003_INFO);
		map.put(ERR_1004, ERR_1004_INFO);
		map.put(ERR_1005, ERR_1005_INFO);
		map.put(ERR_1006, ERR_1006_INFO);
		map.put(ERR_1007, ERR_1007_INFO);
		map.put(ERR_1008, ERR_1008_INFO);
		map.put(ERR_1009, ERR_1009_INFO);
		
		map.put(ERR_2001, ERR_2001_INFO);
		map.put(ERR_2002, ERR_2002_INFO);
		map.put(ERR_3001, ERR_3001_INFO);
		map.put(ERR_3002, ERR_3002_INFO);
	}
	
	public static String getErrorinfo(String resultcode){
		if(map != null){
			String info = map.get(resultcode);
			if(info == null){
				return "";
			}
			return info;
		}
		return "";
	}
	

	public static void main(String[] args) {
		String info = ErrorConstant.getErrorinfo("1009");
		
		System.out.println(info);

	}

}
